@font-face {
  font-family: turnCommands;
  src: url(LG_NexGen.ttf);
}

html, body {
  height:100%;
  font-family: Arial, Helvetica, sans-serif;
  overflow: hidden;
}

.fullHeightBlock {
  height: 100%;
  position: relative;
}

.mapBlock {
  background:#ccc;
  height: 100%;
}

.searchBlock {
  position: absolute;
  background:#fff;
  /* border-radius:4px; */
  /* padding:20px; */
  min-width: 350px;
  min-width:370px;
  min-height:100px;
  border: 1px solid #ccc;
  box-shadow:3px 3px 7px rgba(0,0,0,0.25);
  left:15px;
  top: 18px;
  bottom:auto;
}

.searchBlockCollapsed {
  position: absolute;
  background:#fff;
  min-width: 350px;
  min-width:370px;
  min-height:100px;
  border: 1px solid #ccc;
  box-shadow:3px 3px 7px rgba(0,0,0,0.25);
  left:-370px;
  top: 18px;
}

.searchBlock h3 {
  font-size:18px;
  color:#0067a8;
  font-weight: normal;
  text-align: left;
  padding:10px;
  border-bottom:1px solid #0067a8;
  margin:0 35px 10px 15px;
}

.defaultField {
  padding:0 20px 0 25px;
  margin:0px 15px 5px;
  background:url(../images/pin_small_gray.png) no-repeat 0 5px;
  position:relative;
}

.sourceField {
  padding:0 20px 0 25px;
  margin:0px 15px 5px;
  background:url(../images/pin_small_green.png) no-repeat 0 5px;
  position:relative;
}

.destinationField {
  padding:0 20px 0 25px;
  margin:0px 15px 5px;
  background:url(../images/pin_small_red.png) no-repeat 0 5px;
  position:relative;
}

.defaultField .form-control, .sourceField .form-control, .destinationField .form-control {
  border:none;
  border-bottom:1px solid #ccc;  
  font-size:12px;
  background:url(../images/searchIcon.png) no-repeat right;
  padding-right:25px;
}

.defaultField .form-control:focus, .sourceField .form-control:focus, .destinationField .form-control:focus {
  background:none;
}

/*.defaultField .form-control::placeholder, .sourceField .form-control::placeholder, .destinationField .form-control::placeholder {
  font-size: 12px;
}*/

.defaultField .form-control:focus, .sourceField .form-control:focus, .destinationField .form-control:focus {
  box-shadow: none;
}

.otherDetailsBlock {
  background:#f2f2f2;
  padding: 20px;
  margin-top: 20px;
  min-height: 100px;
}

.optionsBlock {
  border-bottom: 1px solid #ccc;
  padding-bottom: 10px;
  margin-bottom: 10px;
}

.optionsBlock a {
  padding-right:40px;
  padding-left:5px;
}

.radioOptionBlock {
  font-size: 12px;
  border-bottom: 1px solid #ccc;
  padding-bottom:10px;
  margin-bottom:10px;
}

.radioOptionBlock h5 {
  font-size: 12px;
  font-weight: bold;
  margin-bottom:5px;
  margin-top: 10px;
}

.timeInfoBlock {
  padding:5px;
  padding-bottom: 0px;
  text-align: left;
}

.timeInfoBlock span {
  padding:0px 15px;
}
.dest_marker {
    background-image: url('../images/destination.png');
    background-size: cover;
    width: 29px;
    height: 39px;
    cursor: pointer;
}
.source_marker {
    background-image: url('../images/source.png');
    background-size: cover;
    width: 29px;
    height: 39px;
    cursor: pointer;
} 

.direction_fields{
  display:none;
} 
.directions_img{
    float: right;
    cursor: pointer;
}
.content{
    float:left;
    font-size:0.9em;
}
.line{
    margin-bottom:-5px;
}
.swapButton {
  position: absolute;
  height:35px;
  width:25px;
  right:5px;
  top:70px;
  background:url(../images/icon_reverse.png) no-repeat;
  cursor:pointer;
}
.clearButton{
  position:absolute;
  right:26px;
  top:1px;
  color:#999;
  text-decoration: none;
}
.clearButton:hover{
  position:absolute;
  right:26px;
  top:1px;
  color:#999;
  text-decoration: none;
}
.clearButtonWhite  {
  position:absolute;
  right:2600px;
  top:1px;
  color:#fff;
  text-decoration: none;

}
.clearButtonWhite:hover  {
  position:absolute;
  right:26px;
  top:1px;
  color:#fff;
  text-decoration: none;
}
.expandButton {
  position: absolute;
  right:-30px;
  top:0px;
  width:30px;
  height:40px;
  background:#ffffff;
  color:#fff;
  text-align:center;
  padding-top:5px;
  display: none;
}

.collapseButton {
  position: absolute;
  right:5px;
  top:5px;
  width:30px;
  height:30px;
  background:#ffffff;
  color:#fff;
  text-align:center;
  padding-top:0px;
}
.ui-menu.ui-widget.ui-widget-content.ui-autocomplete.ui-front {
  font-size: 13px;
}
.map-style-box{
  position:absolute;
  top:18px;
  right:78.5px;
  padding: 0 10px;
  height: 30px;
  align-items: center;
  border-right: 0;
  font-weight: 500;
  color: #666;
  background: #fff;
  font-size: 14px;
  line-height: 30px;
  border: 1px solid #ccc;
  width: 309px;
}
.map-style-box label{
  color: #666;
  margin: 0;
  border-right: 1px solid #ccc;
  padding-right: 10px;
}

.map-style-box  .ui-selectmenu-button.ui-button{
  border: 0;
  border-radius: 0;
  background: transparent;
  padding: 0 10px;
  height: 26px;
  line-height: 26px;
  position: relative;
}
.map-style-box  .ui-selectmenu-button.ui-button::after{
  content: ' \02EF';
  position: absolute;
  right: 0;
  top: -21px;
  font-size: 46px;
}
.map-style-box  .ui-selectmenu-button.ui-button:hover, .map-style-box .ui-selectmenu-button.ui-button:focus {
  border: 0;
  background: transparent;
  color: #666;
  outline: none;
}
.map-styles.ui-widget.ui-widget-content {
  border: 1px solid #ccc;
  max-height: 190px;
  overflow-y: auto;
  position: relative;
  font-size: 14px;
  min-width: 212px;
  margin-left: -4px;
}
.map-styles.ui-widget.ui-widget-content .ui-state-active{
  border: 0;
  background: transparent;
  color: #0067a8;
  margin: 0;
}
.map-style-box .ui-icon-triangle-1-s{
  display: none;
}
.buttonsBlock {
  display: none;
}

.buttonsBlock .btn {
  font-size: 11px;
  background:#fff;
}

.buttonsBlock .btn-custom {
  font-size: 11px;
  cursor: default;
  background:#fff;
  padding:5px 10px;
  border-top-left-radius:4px;
  border-bottom-left-radius:4px;
}

.buttonsBlock .btn.btn-light {
  border:none;
  border-left: 1px solid #efe8e8;
  border-right: 1px solid transparent;
}

.btn-light:not(:disabled):not(.disabled).active{
  background:#0067a8;
  color:#fff;
}
.btn-light.focus, .btn-light:focus{
  box-shadow: none;
}
.buttonsBlock .btn-grp-label{
   font-size: 10px;
   cursor: default; 
   background:#fff;
}
.mapboxgl-map {
    position: absolute;
    width: 100%;
}
.fire-hydrant{
  height: 40px !important;
  width: 40px  !important;
}
.fire-hydrant-on{
  background-image: url("../images/fire_hydrant_on.png");
}
.fire-hydrant-off{
   background-image: url("../images/fire_hydrant_off.png"); 
}
#floorSelector1{
  position: absolute;
  bottom:20px;
  left:20px;
}
.layer{
  height: 47px !important;
  width: 47px  !important;
  position: absolute;
  bottom: 147px;
  right: 9px;
  cursor: pointer;
}
.comtech-logo{
  position: absolute;
  bottom: 0;
  left: 0;
  cursor: pointer;
  font-size: 10px;
  font-weight: 600;
}
.logo{
	width: 107px;
	height: 30px;
	margin-left: 10px;
}
.attribution{
	color: #222222;
	background: rgba(255,255,255, 0.8);
	padding: 0 10px;
}
#inputBlock{
	display: none;
}
.layerPopupBlock {
  position: absolute;
  bottom:0px;
  right:50px;
  padding:5px 2px;
  background:#ffffff;
  border: 1px solid #ccc;
  box-shadow: 3px 3px 7px rgba(0,0,0,0.25);
  width: 250px;
  display:none;
}

.layerPopupBlock .pClose {
  margin-bottom:5px;
  text-align: right;
  padding-right:10px;
}

.layerPopupBlock .pClose a {
  color:#999;
  font-weight: bold;
}

.layerPopupBlock p.pRow {
  border-bottom: 1px solid #ccc;
  padding: 5px 10px;
  margin:0px 10px 5px 0px;
  min-height: 50px;
}

.layerPopupBlock p.pRow:nth-child(2) {
  border-bottom: 1px solid #666666;  
  margin: 0 0 15px 0;
  padding-right:20px;
}

.layerPopupBlock p.pRow:last-child {
  border-bottom: 0px solid #ccc;
  padding-bottom: 0px;
  margin-bottom: 0px;
}

.layerPopupBlock p.pRow span {
  float:left;
  padding-top:5px;
  font-weight: bold;
  color: #666;
}
.layerPopupBlock p.pRow a {
  float:right;
  padding-right: 25px;
}
.disabled {
	color: #D3D3D3 !important;
}
.options{background-image:url("../images/icon_options.png"); height:47px; width:47px;outline:none;}
.options_on{background-image:url("../images/icon_options_on.png"); height:47px; width:47px;outline:none;}
.turnCommands{font-family: turnCommands; font-size: 22px;}

/* maneuver panel styles*/
.maneuver-panel{
  display: none;
  border-top: 2px solid #999;
  position: absolute;
  top: 335px;
  left: 0;
  right: 0;
  padding: 15px 20px;
  overflow: auto;
  background: #f2f2f2;
  overflow-y: auto;
  bottom: 0;
  font-size: 14px;
}
.maneuver-details{
  border-top: 1px solid #ccc;
  padding:0 8px;
}
.maneuver-list{
  display: inline-flex;
  align-items: center;
}
.maneuver-panel .road-name{
  padding-left: 10px;
}
.distance{
  font-size: 12px;
}
.maneuver-panel h4{
  font-size: 18px;
}

.scrollbar::-webkit-scrollbar{
  width: 4px;
  height: 0px;
}
.scrollbar::-webkit-scrollbar-track {
  background: #f1f1f1;
}
.scrollbar::-webkit-scrollbar-thumb {
  background: #888;
}
.scrollbar::-webkit-scrollbar-thumb:hover {
  background: #555;
}

@media (min-width: 768px) and (max-width: 1024px) {
	.layer{
	  height: 29px !important;
	  width: 29px  !important;
    position: absolute;
    bottom: 121px;
    right: 8px;
	  cursor: pointer;
	}
  .options{background-image:url("../images/icon_options_sm.png"); height:43px; width:43px;outline:none; background-repeat:no-repeat;}
  .options_on{background-image:url("../images/icon_options_sm_on.png"); height:43px; width:43px;outline:none; background-repeat:no-repeat;}
}